Index: trunk/NEMOGCM/NEMO/TOP_SRC/trcstp.F90
===================================================================
--- trunk/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 2528)
@@ -4,11 +4,12 @@
    !! Time-stepping    : time loop of opa for passive tracer
    !!======================================================================
+   !! History :  1.0  !  2004-03  (C. Ethe)  Original
+   !!----------------------------------------------------------------------
 #if defined key_top
    !!----------------------------------------------------------------------
    !!   trc_stp      : passive tracer system time-stepping
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce_trc          ! ocean dynamics and active tracers variables
-   USE trp_trc
+   USE trc
    USE trctrp           ! passive tracers transport
    USE trcsms           ! passive tracers sources and sinks
@@ -17,5 +18,5 @@
    USE trcwri
    USE trcrst
-   USE trdmld_trc_oce
+   USE trdmod_trc_oce
    USE trdmld_trc
    USE iom
@@ -25,12 +26,11 @@
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC trc_stp           ! called by step
+   PUBLIC   trc_stp    ! called by step
+   
    !!----------------------------------------------------------------------
-   !!   TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Id: trcstp.F90 1285 2009-02-03 13:38:51Z cetlod $ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! NEMO/TOP 3.3 , NEMO Consortium (2010)
+   !! $Id$ 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -44,33 +44,31 @@
       !!              Compute the passive tracers trends 
       !!              Update the passive tracers
-      !!
-      !! History :
-      !!   9.0  !  04-03  (C. Ethe)  Original
       !!-------------------------------------------------------------------
-      !! * Arguments
       INTEGER, INTENT( in ) ::  kt  ! ocean time-step index
       CHARACTER (len=25)    ::  charout
+      !!-------------------------------------------------------------------
 
-      ! this ROUTINE is called only every ndttrc time step
-      IF( MOD( kt , ndttrc ) /= 0 ) RETURN
-
-      IF(ln_ctl) THEN
-         WRITE(charout,FMT="('kt =', I4,'  d/m/y =',I2,I2,I4)") kt, nday, nmonth, nyear
-         CALL prt_ctl_trc_info(charout)
+      IF( MOD( kt - 1 , nn_dttrc ) == 0 ) THEN      ! only every nn_dttrc time step
+         !
+         IF(ln_ctl) THEN
+            WRITE(charout,FMT="('kt =', I4,'  d/m/y =',I2,I2,I4)") kt, nday, nmonth, nyear
+            CALL prt_ctl_trc_info(charout)
+         ENDIF
+         !
+         tra(:,:,:,:) = 0.e0
+         !
+         IF( kt == nit000 .AND. lk_trdmld_trc  )  &
+            &                      CALL trd_mld_trc_init        ! trends: Mixed-layer
+                                   CALL trc_rst_opn( kt )       ! Open tracer restart file 
+         IF( lk_iomput ) THEN  ;   CALL trc_wri( kt )           ! output of passive tracers
+         ELSE                  ;   CALL trc_dia( kt )
+         ENDIF
+                                   CALL trc_sms( kt )           ! tracers: sink and source
+                                   CALL trc_trp( kt )           ! transport of passive tracers
+         IF( kt == nit000 )     CALL iom_close( numrtr )     ! close input  passive tracers restart file
+         IF( lrst_trc )            CALL trc_rst_wri( kt )       ! write tracer restart file
+         IF( lk_trdmld_trc  )      CALL trd_mld_trc( kt )       ! trends: Mixed-layer
+         !
       ENDIF
-
-      IF( kt == nittrc000 .AND. lk_trdmld_trc  )  &
-         &                   CALL trd_mld_trc_init        ! trends: Mixed-layer
-                             CALL trc_rst_opn( kt )       ! Open tracer restart file 
-                             CALL trc_sms( kt )           ! tracers: sink and source
-                             CALL trc_trp( kt )           ! transport of passive tracers
-      IF( kt == nittrc000 )  CALL iom_close( numrtr )     ! close input  passive tracers restart file
-      IF( lrst_trc )         CALL trc_rst_wri( kt )       ! write tracer restart file
-      IF( lk_iomput ) THEN
-                             CALL trc_wri( kt )           ! output of passive tracers
-      ELSE
-                             CALL trc_dia( kt )   ! diagnostics
-      ENDIF
-      IF( lk_trdmld_trc  )   CALL trd_mld_trc( kt )     ! trends: Mixed-layer
 
    END SUBROUTINE trc_stp
@@ -82,5 +80,4 @@
 CONTAINS
    SUBROUTINE trc_stp( kt )        ! Empty routine
-      INTEGER, INTENT(in) :: kt
       WRITE(*,*) 'trc_stp: You should not have seen this print! error?', kt
    END SUBROUTINE trc_stp
Index: trunk/NEMOGCM/NEMO/TOP_SRC/trcwri.F90
===================================================================
--- trunk/NEMOGCM/NEMO/TOP_SRC/trcwri.F90	(revision 2527)
+++ trunk/NEMOGCM/NEMO/TOP_SRC/trcwri.F90	(revision 2528)
@@ -5,5 +5,4 @@
    !!====================================================================================
    !! History :   1.0  !  2009-05 (C. Ethe)  Original code
-   !!                  !  2010-03 (C. Ethe, R. Seferian ) Add the tracer transport trends
    !!----------------------------------------------------------------------
 #if defined key_top &&  defined key_iomput
@@ -12,16 +11,10 @@
    !!----------------------------------------------------------------------
    !! trc_wri_trc   :  outputs of concentration fields
-   !! trc_wri_trd   :  outputs of transport trends
    !!----------------------------------------------------------------------
    USE dom_oce         ! ocean space and time domain variables
    USE oce_trc
-   USE trp_trc
    USE trc
-   USE trdmld_trc_oce, ONLY : luttrd
    USE iom
-#if defined key_off_tra
-   USE oce_trc
    USE dianam
-#endif
 
    IMPLICIT NONE
@@ -32,9 +25,4 @@
    !! * Substitutions
 #  include "top_substitute.h90"
-   !!----------------------------------------------------------------------
-   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Id: trcdia.F90 1450 2009-05-15 14:12:12Z cetlod $ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
 
 CONTAINS
@@ -50,7 +38,6 @@
 
       !
-      CALL iom_setkt  ( kt + ndttrc - 1 )       ! set the passive tracer time step
+      CALL iom_setkt  ( kt + nn_dttrc - 1 )       ! set the passive tracer time step
       CALL trc_wri_trc( kt              )       ! outputs for tracer concentration
-      CALL trc_wri_trd( kt              )       ! outputs for dynamical trends
       CALL iom_setkt  ( kt              )       ! set the model time step
       !
@@ -65,22 +52,15 @@
       INTEGER, INTENT( in ) :: kt       ! ocean time-step
       INTEGER               :: jn
-      CHARACTER (len=20)    :: cltra, cltras
-#if defined key_off_tra
+      CHARACTER (len=20)    :: cltra
       CHARACTER (len=40) :: clhstnam
       INTEGER ::   inum = 11            ! temporary logical unit
-#endif
       !!---------------------------------------------------------------------
  
-#if defined key_off_tra
-      IF( kt == nittrc000 ) THEN
-        ! WRITE root name in date.file for use by postpro
-         IF(lwp) THEN
-            CALL dia_nam( clhstnam, nwritetrc,' ' )
-            CALL ctl_opn( inum, 'date.file', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, narea )
-            WRITE(inum,*) clhstnam
-            CLOSE(inum)
-         ENDIF
+      IF( lk_offline .AND. kt == nit000 .AND. lwp ) THEN    ! WRITE root name in date.file for use by postpro
+         CALL dia_nam( clhstnam, nn_writetrc,' ' )
+         CALL ctl_opn( inum, 'date.file', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, narea )
+         WRITE(inum,*) clhstnam
+         CLOSE(inum)
       ENDIF
-#endif
       ! write the tracer concentrations in the file
       ! ---------------------------------------
@@ -92,51 +72,4 @@
    END SUBROUTINE trc_wri_trc
 
-# if defined key_trc_diatrd
-
-   SUBROUTINE trc_wri_trd( kt )
-      !!----------------------------------------------------------------------
-      !!                     ***  ROUTINE trc_wri_trd  ***
-      !!
-      !! ** Purpose :   output of passive tracer : advection-diffusion trends
-      !!
-      !!----------------------------------------------------------------------
-      INTEGER, INTENT( in ) ::   kt          ! ocean time-step
-      !!
-      CHARACTER (len=3) ::   cltra
-      INTEGER  ::   jn, jl, ikn
-      !!----------------------------------------------------------------------
-
-      DO jn = 1, jptra
-         IF( luttrd(jn) ) THEN
-            ikn = ikeep(jn)
-            DO jl = 1, jpdiatrc
-               IF( jl == jptrc_xad ) WRITE (cltra,"(3a)") 'XAD' ! x advection for tracer
-               IF( jl == jptrc_yad ) WRITE (cltra,"(3a)") 'YAD'  ! y advection for tracer
-               IF( jl == jptrc_zad ) WRITE (cltra,"(3a)") 'ZAD'  ! z advection for tracer
-               IF( jl == jptrc_xdf ) WRITE (cltra,"(3a)") 'XDF'  ! x diffusion for tracer
-               IF( jl == jptrc_ydf ) WRITE (cltra,"(3a)") 'YDF'  ! y diffusion for tracer
-               IF( jl == jptrc_zdf ) WRITE (cltra,"(3a)") 'ZDF'  ! z diffusion for tracer
-# if defined key_trcldf_eiv
-               IF( jl == jptrc_xei ) WRITE (cltra,"(3a)") 'XGV'  ! x gent velocity for tracer
-               IF( jl == jptrc_yei ) WRITE (cltra,"(3a)") 'YGV'  ! y gent velocity for tracer
-               IF( jl == jptrc_zei ) WRITE (cltra,"(3a)") 'ZGV'  ! z gent velocity for tracer
-# endif
-# if defined key_trcdmp
-               IF( jl == jptrc_dmp ) WRITE (cltra,"(3a)") 'DMP'  ! damping
-# endif
-               IF( jl == jptrc_sbc ) WRITE (cltra,"(3a)") 'SBC'  ! surface boundary conditions
-               ! write the trends
-               CALL iom_put( cltra, trtrd(:,:,:,ikn,jl) )
-            END DO
-         END IF
-      END DO
-      !
-   END SUBROUTINE trc_wri_trd
-
-# else
-   SUBROUTINE trc_wri_trd( kt )                      ! Dummy routine
-      INTEGER, INTENT ( in ) ::   kt
-   END SUBROUTINE trc_wri_trd
-#endif
 #else
    !!----------------------------------------------------------------------
@@ -150,4 +83,8 @@
 #endif
 
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 3.3 , NEMO Consortium (2010)
+   !! $Id$ 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
 END MODULE trcwri
Index: trunk/NEMOGCM/SETTE/README
===================================================================
--- trunk/NEMOGCM/SETTE/README	(revision 2528)
+++ trunk/NEMOGCM/SETTE/README	(revision 2528)
@@ -0,0 +1,40 @@
+usage of SETTE package:
+
+principal script is sette.sh (usage: ./sette.sh)
+
+USER MODIFICATIONS
+ in sette.sh script :
+               SETTE_DIR : base directory for SETTE
+               makenemo -m : machine (compilator); see ./makenemo -m help
+                        -n : config name (in examples config_name_nproci_nprocj), see ./makenemo -n help
+                        -r : reference configuration (if you don't give it you have to choise directories to install)
+                        add_key : to add list of keys (for example to test reproductibility: add_key mpp_rep)
+                        del_key : to del list of keys
+               and for more details and options of makenemo see ./makenemo -h
+	       set_namelist : to set namelist values 
+			(example : to set 75 time steps for one test : namelist nn_itend 75)
+			(  	 : to change cn_icerst_in name : namelist_ice cn_icerst_in  \"test_00101231_restart_icemod.nc\")
+			(  	 : to activate control print : namelist ln_ctl \".false.\" )
+               fcm_job.sh needs input: input_CONFIG_NAME and TOTAL NUMBER OF PROCS used
+			(for example if you compile ORCA2_LIM with nproci=2 and nprocj=2 ===> ./fcm_job input_ORCA2_LIM.cfg 4)
+ in param.cfg :
+               EXE_DIR     : directory in which execute jobs (by default CONFIG_DIR)
+               FORCING_DIR : directory where to get input tar file
+               INPUT_DIR   : directory in which store input files
+               TMPDIR      : temporary directory NEEDED ONLY FOR IBM machines (put EXP00 directory)
+               OUTPUT_DIR  : directory in which store output files
+ in fcm_job.sh :
+               IMPORTANT : control that name of tar file in FORCING directory
+               is the same of that in input_REF_CONFIG.cfg, if not change one.
+               change in "RUN OPA" part the command line (some examples are already written)
+
+
+NOTE:
+in case of error you can remove you NEW_CONF directory and all files doing :
+./makenemo -n MY_CONFIG clean_config
+
+if you want recompile nemo but before you want to clean compiled code do :
+./makenemo clean
+
+and if you have already compiled you can re-run all sette.sh and compilation part will be by-passed.
+
Index: trunk/NEMOGCM/SETTE/all_functions.sh
===================================================================
--- trunk/NEMOGCM/SETTE/all_functions.sh	(revision 2528)
+++ trunk/NEMOGCM/SETTE/all_functions.sh	(revision 2528)
@@ -0,0 +1,87 @@
+#!/bin/bash
+######################################################
+# Author : Simona Flavoni for NEMO
+# Contact : sflod@locean-ipsl.upmc.fr
+#
+# Some scripts called by sette.sh
+# all_functions.sh   : all functions used by sette.sh  
+######################################################
+#set -x
+set -o posix
+#set -u
+#set -e
+#+
+#
+# ================
+# all_functions.sh
+# ================
+#
+# ----------------------------------------------
+# Set of functions used by sette.sh (NEMO tests) 
+# ----------------------------------------------
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ ./set_namelist.sh INPUT_NAMELIST VARIABLE VALUE 
+#
+#
+# DESCRIPTION
+# ===========
+#
+# function superegrep
+# input variable value
+#
+# function set_namelist
+# input namelist_name variable value
+# output namelist
+#
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./set_namelist.sh namelist          nn_itend        75
+#  $ ./set_namelist.sh namelist_ice_lim2 cn_icerst_in  \"00101231_restart_icemod\"
+#
+#
+# TODO
+# ====
+#
+# option debug
+#
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+#   * creation
+#-
+#
+
+
+# function to find namelists parameters
+supergrep () {
+            grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
+    }
+
+usage=" Usage : set_namelist input_namelist variable_name value"
+usage=" if value is a string ths is neede syntax : ./set_namelist namelist_name var_name \"new_value\" "
+
+# function to set namelists parameters
+set_namelist () {
+	minargcount=3
+		if [ ${#} -lt ${minargcount} ]
+		then
+		echo "not enought arguments"
+		echo "${usage}"
+		exit 1
+		fi
+	unset minargcount
+	VAR_NAME=$( supergrep $2 ${INPUT_DIR}/$1 )
+     	sed -e "s/${VAR_NAME}/$2=$3/"  ${INPUT_DIR}/$1 > ${INPUT_DIR}/$1.tmp
+     	mv ${INPUT_DIR}/$1.tmp ${INPUT_DIR}/$1
+}
Index: trunk/NEMOGCM/SETTE/fcm_job.sh
===================================================================
--- trunk/NEMOGCM/SETTE/fcm_job.sh	(revision 2528)
+++ trunk/NEMOGCM/SETTE/fcm_job.sh	(revision 2528)
@@ -0,0 +1,120 @@
+#!/bin/bash
+######################################################
+# Author : Simona Flavoni for NEMO
+# Contact : sflod@locean-ipsl.upmc.fr
+#
+# Some scripts called by sette.sh 
+# fcm_job.sh   : simple job to run NEMO with fcm 
+######################################################
+#set -x
+set -o posix
+#set -u
+#set -e
+#+
+#
+# ================
+# fcm_job.sh
+# ================
+#
+# --------------------------
+# Simple job for NEMO tests 
+# --------------------------
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ ./fcm_job.sh INPUT_FILE_CONFIG_NAME NUMBER_PROC
+#
+#
+# DESCRIPTION
+# ===========
+#
+#
+# Simple job for SET TESTS for NEMO (SETTE)
+#
+#
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./fcm_job.sh INPUT_FILE_CONFIG_NAME       NUMBER_PROC
+#
+#  run a job of config GYRE with 1 processor
+#  $ ./fcm_job.sh input_GYRE.cfg                     1
+#
+#  run a job of config ORCA2_LIM_PISCES with 8 processors
+#  $ ./fcm_job.sh input_ORCA2_LIM_PISCES.cfg         8
+#
+#
+# TODO
+# ====
+#
+# option debug
+#
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+#
+#
+#   * creation
+#
+#-
+#
+# SET INPUT
+# get the input tarfile if needed
+tar_file=$(sed -ne "1,1p" $1)
+if [ "$(cat $1 | grep -c ".tar" )" -ne 0 ] ; then
+	cp ${FORCING_DIR}/${tar_file} ${INPUT_DIR}/.
+	cd ${INPUT_DIR} ; tar xvf ${INPUT_DIR}/*.tar ; gunzip *gz
+fi 
+
+if [ -f ${INPUT_DIR}/namelist_ice_lim2 ] ; then 
+   cp ${INPUT_DIR}/namelist_ice_lim2 ${INPUT_DIR}/namelist_ice
+elif  [ -f ${INPUT_DIR}/namelist_ice_lim3 ] ; then 
+   cp ${INPUT_DIR}/namelist_ice_lim3 ${INPUT_DIR}/namelist_ice
+fi
+
+
+if [ "$(cat ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm | grep -c "agrif" )" -ne 0 ] ; then
+	#- Namelist for ocean and ice (agrif fine grid)
+	cp ${INPUT_DIR}/1_namelist_ice_lim2 ${INPUT_DIR}/1_namelist_ice 
+fi
+################################################################
+
+################################################################
+# RUN OPA
+cd ${INPUT_DIR}
+NB_PROC=$2
+ if [ ${NB_PROC} == 1 ] ; then
+	./opa
+else
+# example for brodie (NEC SX8) machine
+	mpirun -np ${NB_PROC} opa
+# example for dedale machine
+#	mpirun --mca btl self,tcp -np ${NB_PROC} opa
+# example for vargas (IBM Power6) machine
+#	mpiexec -n ${NB_PROC} opa
+fi
+################################################################
+
+################################################################
+## -- Save output files
+
+#- Save ocean output files
+[ ! -d ${OUTPUT_DIR} ] && mkdir ${OUTPUT_DIR}
+[ -f *ocean.output ] && mv *ocean.output ${OUTPUT_DIR}/.
+[ -f *solver.stat ] && mv *solver.stat ${OUTPUT_DIR}/.
+[ -n "$(ls *_grid_*)" ] && mv *_grid_*.nc ${OUTPUT_DIR}/.
+[ -f restart* ] && cp restart* ${OUTPUT_DIR}/.
+[ -f ice_evolu ] && mv ice_evolu ${OUTPUT_DIR}/.
+[ -n "$(ls *icemod*)" ] && mv *icemod* ${OUTPUT_DIR}/.
+#- Save ftrace file
+[ -f ftrace.out* ] && cp ftrace.out* ${OUTPUT_DIR}/.
+################################################################
+
Index: trunk/NEMOGCM/SETTE/input_GYRE.cfg
===================================================================
--- trunk/NEMOGCM/SETTE/input_GYRE.cfg	(revision 2528)
+++ trunk/NEMOGCM/SETTE/input_GYRE.cfg	(revision 2528)
@@ -0,0 +1,1 @@
+
Index: trunk/NEMOGCM/SETTE/input_ORCA2_LIM.cfg
===================================================================
--- trunk/NEMOGCM/SETTE/input_ORCA2_LIM.cfg	(revision 2528)
+++ trunk/NEMOGCM/SETTE/input_ORCA2_LIM.cfg	(revision 2528)
@@ -0,0 +1,1 @@
+ORCA2_LIM_nemo_v3.3.beta.tar
Index: trunk/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg
===================================================================
--- trunk/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 2528)
+++ trunk/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 2528)
@@ -0,0 +1,1 @@
+ORCA2_LIM_nemo_v3.3.beta.tar
Index: trunk/NEMOGCM/SETTE/param.cfg
===================================================================
--- trunk/NEMOGCM/SETTE/param.cfg	(revision 2528)
+++ trunk/NEMOGCM/SETTE/param.cfg	(revision 2528)
@@ -0,0 +1,9 @@
+EXE_DIR=${CONFIG_DIR}     
+#- input files storing 
+FORCING_DIR=~/FORCING
+#- input files storing 
+INPUT_DIR=${CONFIG_DIR}/${NEW_CONF}/EXP00
+#- only for IBM
+#- TMPDIR=${CONFIG_DIR}/${NEW_CONF}/EXP00
+#- output files storing 
+OUTPUT_DIR=${CONFIG_DIR}/${NEW_CONF}/EXP00/VALIDATION
Index: trunk/NEMOGCM/SETTE/sette.sh
===================================================================
--- trunk/NEMOGCM/SETTE/sette.sh	(revision 2528)
+++ trunk/NEMOGCM/SETTE/sette.sh	(revision 2528)
@@ -0,0 +1,76 @@
+#!/bin/sh
+#############################################################
+# Author : Simona Flavoni for NEMO
+# Contact : sflod@locean-ipsl.upmc.fr
+#
+# sette.sh   : principal script of SET TEsts for NEMO (SETTE)
+#############################################################
+#set -x
+set -o posix
+#set -u
+#set -e
+#+
+#
+# ================
+# sette.sh
+# ================
+#
+# ----------------------------------------------
+# Set of tests for NEMO
+# ----------------------------------------------
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ ./sette.sh
+#
+# DESCRIPTION
+# ===========
+#
+#
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./sette.sh 
+#
+#
+# TODO
+# ====
+#
+# option debug
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+#   * creation
+#
+#-
+#
+SETTE_DIR=/PATH/OF/SETTE
+
+cd ${SETTE_DIR}
+. ../CONFIG/makenemo -m ifort_linux -n GYRE_1_1 -r GYRE
+cd ${SETTE_DIR}
+. param.cfg
+. all_functions.sh
+set_namelist namelist nn_it000 1
+set_namelist namelist nn_itend 75
+cd ${SETTE_DIR}
+. ./fcm_job.sh input_GYRE.cfg 1
+
+cd ${SETTE_DIR}
+. ../CONFIG/makenemo -n ORCA2_LIM_1_2 add_key "key_mpp_mpi key_nproci=1 key_nprocj=2"
+cd ${SETTE_DIR}
+. param.cfg
+. all_functions.sh
+set_namelist namelist nn_it000 1
+set_namelist namelist nn_itend 75
+cd ${SETTE_DIR}
+. ./fcm_job.sh input_ORCA2_LIM.cfg 2
+
Index: trunk/NEMOGCM/TOOLS/COMPILE/Fadd_keys.sh
===================================================================
--- trunk/NEMOGCM/TOOLS/COMPILE/Fadd_keys.sh	(revision 2528)
+++ trunk/NEMOGCM/TOOLS/COMPILE/Fadd_keys.sh	(revision 2528)
@@ -0,0 +1,83 @@
+#!/bin/bash
+######################################################
+# Author : Simona Flavoni for NEMO
+# Contact : sflod@locean-ipsl.upmc.fr
+#
+# Some functions called from makenemo
+# Fadd_keys   : add keys in cpp.fcm file  
+######################################################
+#set -x
+set -o posix
+#set -u
+#set -e
+#+
+#
+# ============
+# Fadd_keys.sh
+# ============
+#
+# --------------------
+# Add compilation keys
+# --------------------
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ Fadd_keys.sh CONFIG_NAME add_key "LIST_KEYS"
+#
+#
+# DESCRIPTION
+# ===========
+#
+#
+# Script to add a set off key when compiling a configuration.
+# The list off key to be added has to be enclosed with " ". 
+# A 'sed' is performed to modify the CONFIG_NAME/cpp.fcm file to    
+# add the new key(s). 
+#
+#
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./Fadd_keys.sh ORCA2_LIM add_key "key_mpp_mpi key_nproci=1 key_nprocj=10"
+#
+#
+# TODO
+# ====
+#
+# option debug
+#
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id: Fadd_keys.sh 2158 2010-10-20 17:30:03Z sflod $
+#
+#
+#
+#   * creation
+#
+#-
+ echo "Adding keys in : ${NEW_CONF}" 
+ for i in ${list_add_key} ; do
+	if [ "$(echo ${i} | grep -c key_proc )" -ne 0 ] ; then
+		sed -e "s/key_proc[ij]=.* //"  ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm >  ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm.tmp
+       	 	mv ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm.tmp   ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm
+		echo " "
+		sed -e "s/$/ ${i}/"  ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm >  ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm.tmp
+       	 	mv ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm.tmp   ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm
+	elif [ "$(cat ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm | grep -c "$i" )" -ne 0 ] ; then
+ 	echo "key $i already present in cpp_${NEW_CONF}.fcm" 
+	else
+	sed -e "s/$/ ${i}/"  ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm >  ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm.tmp
+ 	mv ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm.tmp   ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm
+ 	echo "added key $i in ${NEW_CONF}" 
+	fi
+ done
+ 
+ unset -v list_add_key
+
Index: trunk/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh
===================================================================
--- trunk/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh	(revision 2528)
+++ trunk/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh	(revision 2528)
@@ -0,0 +1,72 @@
+#!/bin/bash
+#set -x
+set -o posix
+#set -u
+#set -e
+#+
+#
+# ==================
+# Fcheck_archfile.sh
+# ==================
+#
+# --------------------------
+# Check the compilation file
+# --------------------------
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ Fcheck_archfile.sh
+#
+#
+# DESCRIPTION
+# ===========
+#
+#
+# Check the choice of the compiler.
+# Three cases :  
+#
+# - There was a previous choice
+# - A new one has be specified, we use this one
+# - No information, exit
+#
+# We use TOOLS/COMPILE/arch.fcm to see if something was chosen. 
+#
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./Fcheck_archfile.sh ARCHFILE COMPILER
+#
+#
+# TODO
+# ====
+#
+# option debug
+#
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+#
+#
+#   * creation
+#
+#-
+
+if [ ${#2} -eq 0 ]; then
+   if [ ! -f ${COMPIL_DIR}/$1 ]; then
+   echo "Warning !!!"
+   echo "NO compiler chosen"
+   echo "Try makenemo -h for help"
+   echo "EXITING..."
+   exit 1 
+   fi
+else
+   ln -sf ${MAIN_DIR}/ARCH/arch-${2}.fcm ${COMPIL_DIR}/$1
+fi
Index: trunk/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh
===================================================================
--- trunk/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh	(revision 2528)
+++ trunk/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh	(revision 2528)
@@ -0,0 +1,87 @@
+#!/bin/bash
+######################################################
+# Author : Rachid Benshila for NEMO
+# Contact : rblod@locean-ipsl.upmc.fr
+#
+# Some functions called from makenemo
+# Fcheck_config   : config checking 
+######################################################
+#set -x
+set -o posix
+#set -u
+#set -e
+#+
+#
+# ================
+# Fcheck_config.sh
+# ================
+#
+# --------------------------
+# Check the configuration
+# --------------------------
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ Fcheck_config.sh FILENAME CONFNAME
+#
+#
+# DESCRIPTION
+# ===========
+#
+#
+# Check the choice of the configuration:
+#
+# - Two cases
+# - One is explicitely set
+# - Nothing set, use the previous in use 
+#
+# We use TOOLS/COMPILE/cfg.txt to check if the onfiguration exists.
+#
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./Fcheck_config.sh
+#
+#
+# TODO
+# ====
+#
+# option debug
+#
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+#
+#
+#   * creation
+#
+#-
+
+declare -a ZTAB
+if [ ${#2} -eq 0 ]; then
+   tail -1  ${COMPIL_DIR}/$1	> ${COMPIL_DIR}/cfg.tmp
+   read -a ZTAB < ${COMPIL_DIR}/cfg.tmp
+   NEW_CONF=${ZTAB[0]} ; TAB=( ${ZTAB[@]:1} )
+   \rm ${COMPIL_DIR}/cfg.tmp
+   echo "Warning !!!"
+   echo "No configuration specified"
+   echo "Use makenemo -n MYCONFIG"
+   echo "or  makenemo -h for help"
+   echo "Using defaut configuration : ${NEW_CONF}"
+fi
+if [ "$1" == cfg.txt ]; then
+   cat ${COMPIL_DIR}/$1 | grep "${NEW_CONF} " > ${COMPIL_DIR}/cfg.tmp
+   read -a ZTAB < ${COMPIL_DIR}/cfg.tmp
+   NEW_CONF=${ZTAB[0]} ; TAB=( ${ZTAB[@]:1} )
+   \rm ${COMPIL_DIR}/cfg.tmp
+fi
+
+unset -v ZTAB
Index: trunk/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh
===================================================================
--- trunk/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh	(revision 2528)
+++ trunk/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh	(revision 2528)
@@ -0,0 +1,63 @@
+#!/bin/bash
+#set -x
+set -o posix
+#set -u
+#set -e
+#+
+#
+# ================
+# Fcheck_script.sh
+# ================
+#
+# --------------------------
+# Check
+# --------------------------
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ Fcheck_script.sh
+#
+#
+# DESCRIPTION
+# ===========
+#
+#
+# Check if utilities are in the path, typically fcm.
+#
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./Fcheck_script.sh fcm
+#
+#
+# TODO
+# ====
+#
+# option debug
+#
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+#
+#
+#   * creation
+#
+#-
+
+myscript=`which $1`
+if [ ${#myscript} -eq 0 ]; then
+echo "WARNING !!!"
+echo "$1 has to be installed first"
+echo "Exiting......................"
+exit 1
+fi
+
+unset -v myscript
Index: trunk/NEMOGCM/TOOLS/COMPILE/Fclean_config.sh
===================================================================
--- trunk/NEMOGCM/TOOLS/COMPILE/Fclean_config.sh	(revision 2528)
+++ trunk/NEMOGCM/TOOLS/COMPILE/Fclean_config.sh	(revision 2528)
@@ -0,0 +1,86 @@
+#!/bin/bash
+######################################################
+# Author : Simona Flavoni for NEMO
+# Contact : sflod@locean-ipsl.upmc.fr
+#
+# Some functions called from makenemo
+# Fclean_config   : config removing 
+######################################################
+#set -x
+set -o posix
+#set -u
+#set -e
+#+
+#
+# ================
+# Fclean_config.sh
+# ================
+#
+# ------------------------
+# Remove the configuration
+# ------------------------
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ Fclean_config.sh CONFNAME
+#
+#
+# DESCRIPTION
+# ===========
+#
+#
+# Remove the configuration:
+#
+# - remove CONFIG_NAME/WORK
+# - remove CONFIG_NAME/BLD
+# - remove CONFIG_NAME from TOOLS/TOOLS/COMPILE/cfg.txt 
+# 
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./Fclean_config.sh ORCA2_LIM
+#
+#
+# TODO
+# ====
+#
+# option debug
+#
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id: Fclean_config.sh 2158 2010-10-20 17:30:03Z sflod $
+#
+#
+#
+#   * creation
+#
+#-
+ NEW_CONF=${x_n}
+ echo "Are you sure that you want to remove this directory ? [y/n] "
+ read answer
+ answer=`echo $answer | sed 's/^[y].*$/y/'`
+ if [  -z "$answer" -o "x$answer" = "xy" ]; then
+ 	# testing if configuration exists
+ 	if [ "$(cat ${COMPIL_DIR}/cfg.txt | grep "${NEW_CONF} ")"  == "" ] ; then
+		echo "The configuration ${NEW_CONF} does not exist in file cfg.txt"     
+		echo "No removing configuration"
+		echo " "
+        else
+		rm -rf ${CONFIG_DIR}/${NEW_CONF}
+		sed -e "/${NEW_CONF} /d"  ${COMPIL_DIR}/cfg.txt >  ${COMPIL_DIR}/cfg.tmp
+		mv  ${COMPIL_DIR}/cfg.tmp  ${COMPIL_DIR}/cfg.txt
+		echo "${NEW_CONF} configuration REMOVED" 
+        fi
+ else
+	echo " "
+	echo "nothing to remove"
+ fi
+
+ unset -v answer
Index: trunk/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh
===================================================================
--- trunk/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh	(revision 2528)
+++ trunk/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh	(revision 2528)
@@ -0,0 +1,68 @@
+#!/bin/bash
+#set -x
+set -o posix
+#set -u
+#set -e
+#+
+#
+# =============
+# Fclean_var.sh
+# =============
+#
+# ----------------------------
+# Clean environement variables
+# ----------------------------
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ Fclean_var.sh
+#
+#
+# DESCRIPTION
+# ===========
+#
+#
+# Clean environement variables
+#
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./Fclean_var.sh
+#
+#
+# TODO
+# ====
+#
+# option debug
+#
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+#
+#
+#   * creation
+#
+#-
+#- Unset variables
+
+unset -v NSTOP
+unset -v TAB
+unset -v NEW_CONF
+unset -v REF_CONF
+unset -v CMP_NAM
+unset -v NBR_PRC
+unset -v NEM_SUBDIR
+unset -v MAIN_DIR
+unset -v CONFIG_DIR
+unset -v TOOLS_DIR
+unset -v COMPIL_DIR
+unset -v NEMO_DIR
+unset -v USEBLD
Index: trunk/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh
===================================================================
--- trunk/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh	(revision 2528)
+++ trunk/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh	(revision 2528)
@@ -0,0 +1,62 @@
+#!/bin/bash
+#set -x
+set -o posix
+#set -u
+#set -e
+#+
+#
+# ============
+# Fcopy_dir.sh
+# ============
+#
+# --------------------------
+# Copy a reference directory
+# --------------------------
+#
+# SYNOPSIS
+# ========
+#
+# ::
+#
+#  $ Fcopy_dir.sh
+#
+#
+# DESCRIPTION
+# ===========
+#
+#
+# When a refenrence configuration is set, 
+# Copy NEMO sub-directories needed (OPA_SRC, TOP_SRC ...)
+#
+# EXAMPLES
+# ========
+#
+# ::
+#
+#  $ ./Fcopy_dir.sh ORCA2_LIM
+#
+#
+# TODO
+# ====
+#
+# option debug
+#
+#
+# EVOLUTIONS
+# ==========
+#
+# $Id$
+#
+#
+#
+#   * creation
+#
+#-
+
+declare -a ZTAB
+grep "$1 " ${COMPIL_DIR}/cfg.txt > ${COMPIL_DIR}/cfg.tmp
+read -a ZTAB < ${COMPIL_DIR}/cfg.tmp
+TAB=( ${ZTAB[@]:1} )
+\rm ${COMPIL_DIR}/cfg.tmp
+
+unset -v ZTAB
